ListPro Overview

ListPro™ allows you to create lists and use them over and over again. Use ListPro for tasks you do more than once (for example, steps in releasing a product, or lists of items you frequently need, such as packing for a business trip). After you create your lists, you can check each item as you complete it. When the list is complete, you can reset the list to clear all the checks and use the same list over again.

You can choose what kinds of information you keep in any list, optionally using flags, categories, amounts and other fields (see below).

If you want to create a shopping list, or create a list of tasks or items from a master list or another list, you can use ListPro's Two-Step, or Shopping List feature.

You can combine any of ListPro's fields and features to make exactly the list you want. The following list shows the fields ListPro provides by default. Note that all of the columns are optional and you can add new columns and rename or hide any of the default columns.

  • Check Box

  • Flag Item

  • Amount

  • Amount Units

  • Priority

  • Item

  • Category

  • Date

  • Notes

More information on these fields is available in Adding List Items and List Columns .

See Getting Started with ListPro to get started creating your lists!

Copyright © 1997-2001, Ilium Software, Inc.

All rights reserved.

ListPro is a trademark and Ilium Software is a registered trademark of Ilium Software, Inc. Microsoft, Windows, and ActiveSync are registered trademarks of Microsoft Corporation. Third-party product and brand names may be trademarks or registered trademarks of their respective owners.


What's New in ListPro?

Here’s what’s new in ListPro since version 2.0:

  • Alarms – ListPro can now remind you when a list item is due.

  • Templates allow you to create lists already configured with the columns and settings you need for specific tasks, and you can add list templates of your own.

  • Item View – a new item view makes viewing and editing your list items more convenient.

  • New Column Type – Three State columns are like Yes/No columns, but have a third state.

  • New Column Type – Linked columns can link to a file or URL.

  • You can now rearrange the lists and folders to put them in any order you want.

  • ListPro now remembers the last list you were in and which folders were open.

  • Category Values List – you can now edit the list of category values used in your category columns.

  • Date Columns can now be Time Only and Date/Time as well as Date Only. And an Autodate feature allows the date to be updated whenever the item is changed.

  • Date and Number columns can now contain simple calculations based on other columns

  • Yes/No column icons can be changed.

  • Undo – you can undo your last change.

  • Lists can now be reordered automatically after sorting, allowing items to be rearranged after sorting.

  • Items can now be rearranged even when the list is filtered.

  • Items can be highlighted using one of four colors.

  • Hierarchical lists will now automatically keep child items with their parents when indenting, moving, cutting, pasting and deleting items. And parents can reflect the check boxes of their children.

  • Expand All / Collapse All, Expand Branch / Collapse Branch for hierarchical lists.

  • Cutting and Pasting has been simplified so the indent level information is not required and Yes/No columns can be skipped.

  • Import and Export now allow specifying which columns to transfer, and .CSV files are supported.

  • Synchronization Wizard – makes it easy for you to set up synchronization with your mobile device.

  • Date and time can now be included when printing your lists.

  • List information is now stored in a scrambled format rather than stored as transparent text, so no one can see your list information simply by opening the file in a text editor.

Many functions from ListPro 2.0 have been enhanced, but a few have been changed to work differently. The following functions no longer work the way they did in 2.0:

  • Using the export, import, and the clipboard to transfer items. See Using the Clipboard to find out how this works now.

  • Filtering Items. Previously, when a parent item matched a filter, all of its child items were displayed whether they matched or not. Now child items are only displayed if they match the filter.

  • Moving, indenting, cutting and deleting parent items will now move all child items as well. Previously parent items could be moved without affecting their child items. You can also now select whether check status is inherited between parent and child items.

  • You can now select whether lists are automatically reordered after each sort.


Getting Started with ListPro

ListPro lets you create list files, containing as many lists as you want. Each list can contain as many items as you want. Optionally, you can organize your lists within any file into folders too. Each list in any file can have fields appropriate to that list.

To create a list, select New List under the File menu. You can also create folders of lists so you can group related lists together in a folder. To create a folder, select New Folder under the File menu. You can create any number of lists in any ListPro file, and create any number of ListPro files. Use the New File pick to create new ListPro files. Organize your lists into files in ways that make sense to you. Lists in the same file do not have to have the same structure.

Give your new list a name and choose which options you want and which columns you want to be displayed. You can change the list's properties at any time by selecting the list and picking Properties from the Edit menu (or use the Properties button or double-click the list's name).

You can rearrange your lists and folders by dragging them to a new position. Drag a list after an open folder to put the list in that folder.

Note that even though you may choose not to display a column, it will still be available for items in a list unless you specifically delete it. For example, you may not display Notes in your list, but you could see a note for an item by double-clicking that item or by displaying the Notes Pane. Or, you could temporarily hide a column that you may want later. You can change which columns are displayed in your lists at any time, without losing the information in any fields not displayed. See List Columns .

Once you've created a list, select Add Items to List or Insert New Item from the Items menu (or use the Add Items command bar button) to add one or more items to the list.

You can or export your list to another file, or import text from a file into ListPro.

To sort a list, click the column header of the column you want to sort by. To reverse the sort order, click the column header a second time. To change the order of the items on the list without sorting, use the arrow buttons in the command bar or select one of the Move Item picks from the Items menu. (Note you may not be able to move an item if the list is sorted. See Editing List Items for more information.) You can also move list items with cut and paste or by dragging and dropping selected items.

To check an item in a list, click its Check icon. To flag an item to be included in a Shopping (or Two-Step) list, click its Flag icon. You can optionally set up your list to prompt you for an amount value when you click either of these columns.

When you've completed a list, clear all the checks by selecting Reset List from the Items menu. All Checkboxes will be cleared from any items that have been checked. You can also choose whether Flags and Amounts are cleared on reset as well using List Properties.

See List Columns to see how to chose just which columns you want on your list, and Working with Lists to see how to customize your list views.


Creating and Editing Lists

Create a list with the New List pick on the File menu. Enter a name for your list and choose the type of list you want to create from the list of Templates . You can edit your list at any time by double-clicking its name, or choosing the Properties menu pick or button. The List Properties dialog box lets you create and edit your lists.

Set up the columns you want to use with this list on the Columns Tab:

The Columns tab allows you to choose which columns will be displayed on the screen for this list. See List Columns to see how to use these columns. Note that information will remain in a field for any list even if it’s not displayed, though it will be deleted if you explicitly delete the field. You can hide any columns in a list without losing any information in that field.

  • Check the check box next to each column you would like to be displayed. Columns that are not checked will not appear in the list.

  • Use the Add button to add a completely new column. The Add Column dialog will be displayed, which will let you enter the new column’s name and the type of data it will store. See List Columns for information about how to add fields and what types of fields are available.

  • Use the Delete button to delete an existing column. Note that you can only delete columns that you have added. The default columns (those with an asterisk next to them: Checkbox, Flag, Item, Category, Amount, Units, Notes, Priority, Date) can’t be deleted.

  • Use the Modify button to rename a column or change its properties.

  • Use the Move Up and Move Down buttons to change a column’s position in the list. The order the columns appear in this list determines the order they will appear when the list is displayed. Once you have created the list, you can also rearrange the list’s columns by dragging a column header to a new position in the List Items pane.

Make sure you check the Flag column’s check box if you want to use the list as a Two-Step, or Shopping List. When you do this, the Flag column appears in the list. You can flag items in this column, then choose the Flag Tool to show a list containing only those flagged items.

Enter basic configuration information for the list on the Settings Tab:

  • Check Show Item Number if you want the items in the list to be numbered. The item number will appear in the Item column.

  • Check Show Dialog on List Completion to display a window when you've completed all items on the list. This window will allow you to reset the list.

  • Check Don’t Include Subitems in Totals if you don’t want indented items to be included in the tabulation of the number checked items, flagged items and totals items that is displayed in the status bar.

  • Check Enter Amount on Flag Item if you want to be prompted for an amount when you click a Flag. You might want to do this with a shopping list so that when you decide you need an item, you can include how many of that item that you need.

  • Check Enter Amount on Check Item if you want to be prompted for an amount when you check an item. You might want to do this if each item is something you're buying and you want to track how much money you're spending as you shop.

  • Check Auto-Check Parent Items to cause a parent item to be checked automatically when all of its children have been checked. If a child then becomes unchecked, the parent is then unchecked also.

  • Check Reorder After Sorting to update the list item order each time you sort. If you don’t check this item, sorting the list will cause the items to be temporarily displayed in sorted order, but the original order of the items will be remembered. You may want to turn this setting off if you’ve checked Show Item Number and the original item order is important to you.

Configure the actions taken when this list is reset using the Reset Tab:

  • Check Clear Amounts if you want the Amounts field of each checked item to be cleared when you reset the list.

  • Check Clear Yes/No Columns if you want all the Yes/No columns you added using the Columns tab to be cleared when you reset the list.

  • Select Clear All Flags if the Flag column should be cleared in all items when the list is reset.

  • Select Clear Checked Flags if the Flag column should only be cleared in items where the Checkbox column is checked.

  • Select Don’t Clear Flags if you don’t want the Flag column to be cleared in any items.

Set up special colors for displaying items on the Color tab:

  • The Color For Checked Items text box shows the color for an item that has been Checked. You can use the Change button to change this color.

  • The Color For Flagged Items text box shows the color for an item that has been Flagged but not Checked. Use the Change button to change this color.

If both options are selected, items that are both checked and flagged will be the Checked Item color.

Set up reminders or alarms for this list on the Alarms Tab:

  • The name of the column the alarms will be based on is displayed at the top. Alarms are always based on the predefined Date column, so the current name of this column will be displayed (which may be something other than “Date” if you have renamed it).

  • Check Enable Alarms for this List to turn on the alarms function for this list.

  • Check Time of Day to Display Alarms if your Date column is Date Only and you want the alarm to go off at a certain time of date. Enter the time of day to sound the alarm in the following field. If you don’t check this option, alarms for Date Only columns will go off at 8:00 AM. Note that this setting takes affect only if your Date column is Date Only; with Date and Time columns the alarm will always go off at the time given in the item.

In order for alarms to work in your list, you must also enable alarms for the current File. You can do this by choosing Preferences from the Tools menu and checking Enable Alarms for this File on this Computer. Using alarms also requires that your predefined Date column be configured as either Date Only or Date and Time. Alarms will not operate if the Date column is Time Only.


Creating and Editing Columns

Once you have created a list, you’re not stuck with the list of columns you start out with. You can change the properties of the existing columns or create completely new ones. Columns are always created or modified using the Columns Tab of the List Properties dialog. (You can get to the List Properties dialog when you are creating a new list by pushing the Properties button on the Create New List dialog. To open the List Properties dialog for an existing list, select the list and either choose Properties from the Edit menu or just double-click the list name).

You can create a new column by pushing the Add button. You’ll see the Add Column dialog, where you can enter a column name and choose a column type. If you want, you can set the columns properties at that time by pushing the Properties button. Or you can just push OK to get a column with default properties.

You can edit an existing column’s properties by selecting the column and pushing the Modify button, or just by double-clicking the column name. The dialog you see will depend on the type of column.

All columns have a name property, so the Column Properties window will always include a Name field. String and Linked columns have no other properties, so for these column types there will be no other information to edit. In addition, the predefined Checkbox, Flag, Priority and Amount columns do not allow editing any properties other than Name. Property information for other column types is described below.

You won't be able to edit columns that are Autodate or calculated columns. You'll only be able to edit Linked columns in item view, as in list view clicking on them activates them.

Category Columns

  • Check Automatically Add New Category Values if you want all new category values entered into any item in the list to be added to the list of category values for that column. If you want to build and maintain the list of Category Values yourself, you can uncheck this option to prevent new values from being added. To edit Category Values, use the Category Values dialog by picking Category Values from the Tools menu.

Number Columns

  • Choose the type of calculation for this column from the list. By default the calculation is None, which allows you to enter data into this column. Any other choice will cause this column to display the result of the calculation and entering data into the column will not be allowed. The other choices allow addition, subtraction, multiplication or division.

  • If you chose a calculation for this column, choose the columns that are represented by A and B in the calculation. Both A and B provide a list of eligible Number and Date columns that you may choose from. You may choose Date columns only if the calculation is subtraction, and the Date columns must have the same Form. The columns chosen for A and B must either be both Numbers or both Dates. Columns that are already the result of a calculation may not be chosen.

Date Columns

  • Choose a Form for the column from the list. If you choose Date Only, only a date will be displayed without a time. If you choose Date and Time, a date and time will be displayed. If you choose Time Only, only a time of day will be displayed without a date. All forms may be used with date calculations, but only Date Only and Date and Time forms may be used for alarms.

  • Choose a Behavior for the column from the list. The default behavior is Manual, which will allow you to enter information into the field. The Auto Date/Time behavior automatically updates the column with the current Date/Time whenever the item is changed. The behavior Calculate A + B will calculate the value of the column by adding a number column to a date column. The behavior Calculate A – B will calculate the value of the column by subtracting a number column from a date column.

  • If you chose a calculation for this column, choose the columns that are represented by A and B in the calculation. The choices for A are the eligible Date columns and the choices for B are the eligible Number columns. Only Date columns with the same Form as this column may be chosen for A. Columns that are already the result of a calculation may not be chosen.

When choosing a calculation for the column, the way the Number column is interpreted depends on the Form of the Date column. If the Date column is Date Only or Date and Time, the Number column that is added or subtracted is interpreted as a number of days. If the Date column is Time Only, the Number column is interpreted as a number of minutes. Fractional days and minutes may be used. For example, 0.01 days is about 15 minutes.

Yes/No Columns

  • Select an icon style from the Icon Style list to determine what icon will be displayed for this column.

  • Check Invisible When Off if you don’t want any icon to be displayed at all when the value of this column for an item is Off. The normal icon will be displayed when the value is On.

Three State Columns

  • Select an icon style from the Icon Style list to determine what icon will be displayed for this column.


Adding List Items

You can add items to your list using either the Item View Window, or insert them directly on your screen.

Item View Window

You'll see the Item View window when you choose the Add Item to List menu pick or button. The Item View window allows you to enter information for one or more new list items. See Using Item View for more information.

Inserting New Items Directly

You can insert a new item directly into the list by picking Insert New Item from the Items menu. The first field in the list will be opened for direct editing, so you can immediately start typing the item information into the field. Use the tab key to go to the remaining fields in the item and fill in their data.

If you use the tab key while direct editing the last field of the last item in your list, another new item will be inserted following the item and the first field will again be opened for direct editing. You can use the tab key to enter data for fields and insert new items continuously until you’ve entered all the new items you need.

Positioning List Items

Items will be added to your list following the currently selected item. If the list has a temporary sort applied (see Sorting Your Lists ), items will still be added following the currently selected item, but they will be positioned according to the current sort order.

You can use the Remove Sorting pick on the View menu to remove any temporary sorting and allow you to control the order of list items with the arrow tools, the Move Item Up and Move Item Down menu picks or by dragging items to new positions.

If you’ve sorted the list and would like to make the sorted order permanent, you can pick Reorder List from the Tools menu. If you do this, you won’t be able to use Remove Sorting to return to the original order, but you can then use the arrow tools and drag and drop to rearrange the items. If you have checked the Reorder After Sorting option in the Settings Tab of the List Properties window, the new sort order will be made permanent automatically whenever you sort.


Editing List Items

You can edit the items on any of your lists at any time using either the Item View window, or by editing them directly right on your screen.

Item View Window

Double-click any item in your list, or select any item and pick the Properties menu pick or button to display the Item View window. Use this window to change any of the values for your list items. See Using Item View for more information about the Item View window.

Direct Editing

You can also edit any of your list items directly without using the Item View window. When you click in any text, number or date field of a currently selected item, that field will become editable. You can use the mouse or keyboard to edit the field or enter new text. Category fields will provide a drop down list of values to choose from and date fields will provide a calendar drop down. A Notes field containing multiple lines of text will expand to provide a multiple-line editing area large enough to edit the whole field.

While you are Direct Editing a field, you can use the Enter key to close Direct Editing and save your changes or you can use the Escape key to discard your changes. You can also close Direct Editing by clicking outside the field with the mouse. The tab key may be used to close the current field and open the next field for Direct Editing (shift-tab will open the previous field). If you are Direct Editing the last field in the last item in your list and you use the tab key, a new item will be inserted into the list and the first field of the new item will be opened for Direct Editing.

Direct Editing can also be invoked on the currently selected item by pressing the space bar. The last field Direct Edited or the last field clicked on will be opened for Direct Editing when the space bar is pressed.

The left and right arrow keys can be used to change the focus to individual fields in an item. When an item is first selected, the entire item will be enclosed by the focus rectangle (a light, dotted outline of the item). The arrow keys will move the focus rectangle to individual fields. The field that has the focus when you push the space bar will be opened for Direct Editing. If a Checkbox or Flag field has the focus, you can use the space bar to check or uncheck the field.

If you have selected Show Notes Pane from the View menu, you can also directly edit the Notes field that is currently showing in the Notes Pane.

See also: Using the Keyboard

Repositioning List Items

You can move list items up or down with the arrow buttons in the command bar or the Move Up and Move Down picks in the Items menu. You can drag items to a new position using the mouse. You can also use the clipboard Cut and Paste features to change the position of list items.

List items can only be repositioned when no temporary sort has been applied (See Sorting Your Lists ). Use the Remove Sorting pick on the View menu to remove any temporary sorting or filtering and allow you to change the order of list items.

If the list is sorted and you’d like to automatically reposition all items using the current sort order, select Reorder List from the Tools menu. You will not be able to return to the original order by picking Remove Sorting, but you will be able to reposition individual items. If you have checked the Reorder After Sorting option in the Settings Tab of the List Properties window, the new sort order will be made permanent automatically whenever you sort.

Note that when you paste items into the list, they will be pasted following the currently selected item. If the list has a temporary sort applied, pasted items will appear in the list in their sorted position.


Using Item View

The Item View window opens when you choose Add Items to List from the Items menu. You can also open the Item View window by double-clicking an item or by selecting an item and picking Properties from the Edit menu.

The Item View window displays a list of all the columns that are currently showing in your list so you can enter new information for each column. In addition, an area for entering Notes is always present at the bottom.

For most column types, simply click in a field or tab to it and enter the new information.

Category columns also provide a drop-down list so you can choose from the existing Category Values if you like. Categories can be used to sort the items on your list. Categories are not case-sensitive: Hardware is the same as HARDWARE or hardware.

Each Checkbox, Flag and Yes/No column can be updated by clicking on its icon to toggle its state. You can also tab to these fields and press the space bar to toggle the state.

Each Three State column can be updated by clicking on its icon to cycle through its three states. You can also tab to the field and press the space bar to change the state.

Date columns provide a Date Picker control to allow setting their values. The checkbox at the left end can be left unchecked to indicate no date/time should be displayed. For Date Only and Date and Time columns, the button at the right end will display a Month View window that allows you to pick a date rather than typing one in. For Time Only columns, the Up/Down control at the right end allows you to adjust the time up or down by clicking rather than typing in a new time.

Linked columns also provide a button that will display a dialog to allow you to choose a file to link to. To enter a URL rather than a file name simply type in the URL or paste it into the field from the clipboard. All URLs must begin with the proper prefix (http://, ftp:// or file://) in order to be recognized as a URL rather than a file name.

Please note that if a date or number column is configured to display a calculated value then the current value will be displayed but you will not be able to enter in a value. This is because the result of the calculation is always displayed. As you update other fields the calculated fields will be updated to reflect the calculated value. Similarly, Date columns set to the AutoDate/Time form cannot be updated directly, but will automatically update to the current time when any other field is changed.

Remember that the Item View window only displays the columns you have configured to show in your list. If you want to enter data into different columns, go to the Columns Tab of the List Properties window to change which columns are showing.

The Item View window also allows you to change an item’s highlight color and indent level.

  • Highlight determines the color that will be displayed as the background color in the List Items pane. Click on the Highlight control to drop down a list of highlighting colors and choose the one you want.

  • Indent Level determines whether the item should be indented and how much. An Indent Level of zero means the item is not indented. Note that indenting an item gives it a parent/child relationship to the item above it (see Working with Hierarchies ). To change the item’s indent level you can either type in a new indent level value or use the < and > buttons to decrease and increase the indent level. Please note that when you change the indent level of an item its child items will be adjusted by the same amount.

When you’re done entering a new item’s information you can click OK to save the item and exit the Item View window. If you click New Item instead the item will be saved but the Item View window will remain open and all fields will be cleared to allow you to enter another new item. The Next and Previous buttons can be used move to the next or previous item in the list (as it is currently displayed). Any new information or changes you make will automatically be saved when you push OK, New Item, Next or Previous. If you have entered changes that have not been saved when you press the Close button, Item View will ask if you want to save the changes.

Note that Item View only shows items that are not filtered.

Item View Tips

  • Use Item View to quickly edit many list items. Ctrl-N and Ctrl-P let you easily navigate between items.

  • You can resize the Item View window to give you more space to enter information.


Working with Hierarchies

You can increase or decrease the Indent Level of list items with the arrow buttons in the command bar or the Move Right and Move Left picks in the Items menu. As with moving list items up and down, you can move items right or left only when no temporary sort has been applied.

Increasing the Indent Level of an item gives it a parent/child relationship with the item above it.

If an item has indented items below it, it’s name will be preceded by a minus (-) if the items are showing or a plus (+) if they are not showing. You can click on the plus or minus to expand or collapse the hierarchy, showing or hiding all indented items below the clicked item. Note that the + and - signs appear only in the Item column.

All subitems that are indented below an item will automatically follow that item wherever it goes. When you move, delete, cut, copy or paste an item, all the subitems that are indented below the item will be moved with it. This is true regardless of whether the item’s hierarchy is collapsed or not, and regardless of whether all the subitems are showing or not. To separate the indented child items from their parent item, move the child items out of the hierarchy rather than moving the parent.

To select an item and all items indented below it, click on the minus sign in front of the item name and hold the mouse button down. This will show you explicitly all the items that are affected when the parent item is moved.

When you sort a list, an item’s subitems will follow their parent item to its new position in the list. Within each hierarchy, subitems at a given level with a common parent will be sorted as well.

When you filter a list, a parent item will be displayed if any of its subitems match the filter, even if the parent itself does not match. In this case, the parent item will be displayed in gray to indicate that it does not match the filter.


Sorting Your Lists

You can easily sort your list by a certain column by clicking on the column header for that column. Clicking once will sort the list in ascending order by that column. Clicking a second time will then sort in descending order by that column. If you edit an item in your list after sorting, clicking the column header will reapply that sort again rather than switching between ascending and descending orders.

Sorting Modes

Each list can be configured to operate in one of two modes when maintaining the order of your list items. These two modes are controlled by the Reorder After Sorting option in the Settings Tab of the List Properties window. These two modes operate as described below:

Reorder After Sorting is On

This is the default mode for new lists. When you sort your list, the items are rearranged into the new sorted order and the previous order is lost. In this mode, the Remove Sorting menu function is never available.

Reorder After Sorting is Off

In this mode, sorting your list actually causes a temporary sort order to be applied. The items will remain in their original order, but they will be displayed in sorted order. If you want to make the order permanent, you can select Reorder List from the Tools menu. Alternatively, you can remove the temporary sorting by selecting Remove Sorting from the View menu.

While a temporary sort is in effect, you can not reposition the items by dragging them or using the move buttons. In addition, new items added to the list are automatically displayed in their sorted position.

In versions of ListPro prior to 3.0, this mode was always used.

Choosing a Mode

If you want to see the temporary and permanent ordering more clearly, turn on the Show Item Numbers option in the Settings Tab of the List Properties Window. This option causes the Item column of each item to display its item number, which is just the numerical position of the item in the list. If the list is not sorted, the item numbers will be in order. If you sort the list using a temporary sort (Reorder After Sorting is off), the item numbers may no longer be in order. If you make the sort permanent by picking Reorder List, you’ll see that the items continue to be displayed in the same order, but the item numbers are now in order. If you sort the list using a permanent sort (Reorder After Sorting is turned on), the item numbers always remain in order even though the order of the items is changed by the sort.

In most cases you’ll probably want to leave Reorder After Sort on. You may want to turn it off, however, if the items in your list have an inherent order that you want to control. Examples of this type of list might be a recipe where the steps must be done in a certain order or a classic process checklist where the items are checked off in a specific order. Sorting may still be useful with such lists because you may want to use it to temporarily group items by category or view items from highest to lowest by some column.

Another consideration for very large lists is that Reorder After Sort may slow down sorting noticeably because the items must be moved as well as sorted. In this case you can speed up the sorting by turning Reorder After Sort off and manually reordering the list when necessary by picking the Reorder List menu function.

Sorting by Multiple Columns

Often you want to sort your list by one column, but within items having the same value of that column you’d like to sort by a different column. For example, if your list has Project names as its Category values, you may want to sort by Category in order to group the items by Project, but within each Project you’d like to sort the items by Priority.

To accomplish this, choose Sort By from the View menu. You’ll see the Sort dialog, which will allow you to choose three columns to sort by. For each column you can also choose whether to sort in ascending or descending order. For the example above, you’d choose Category for the first column, Priority for the second column and leave <None> for the third. You’d leave Ascending as the choice for all of them.


Using Alarms

ListPro allows you to set alarms based on the items in your lists. When the time for the alarm arrives, ListPro will pop up a dialog on your computer. The alarm will be displayed regardless of whether ListPro is running or not.

Alarms are always based on the predefined Date column in each list. If you enable Alarms for a list, each item in the list that has a date entered into the Date column will cause an alarm to go off when that date arrives. If the item represents a task and the Date column holds the Due Date, the alarm will go off on the date the task is due.

Setting up Alarms

Here’s how to set up an alarm for one of your lists:

  1. Make sure alarms are enabled for your ListPro File. To do this select Preferences from the Tools menu and make sure Enable Alarms for This File on This Computer is checked.

  2. Open the List Properties window for your list and select the Columns Tab. Find the predefined Date column and make sure its checkbox is checked so you can use the column. The predefined Date column will have an asterisk at the end of its entry in the type column (“Date*”). It’s OK to rename this column to something other than “Date” if you want to.

  3. Select the Date column and push the Modify button to open the Column Properties window for this column. Alarms will work if the column’s Form is set to Date Only or Date and Time, but not Time Only. If the Form is Date and Time, the item’s current value will determine both the date and the time of day that the alarm goes off. If the Form is Date Only, the current value will determine the date, but the time of day will depend on the setting in the Alarms Tab (see step 4 below). Close Column Properties.

  4. Select the Alarms Tab of the List Properties window. The name of the column that will be used for Alarms is noted at the top, so make sure it is the column you plan to use. Then make sure the Enable Alarms for this List option is checked. If your Date column is using the Form Date Only, make sure to check Time of Day to Display Alarms and enter the time of day you want the alarms to go off. If you don’t enable this option the alarm will go off by default at 8:00 AM. If your Date column is using the Form Date and Time, the Time of Day to Display Alarms option is ignored.

  5. Make sure to set the Date column in each item in your list that you need an alarm for.

When an alarm goes off, a dialog will pop up on your computer to telling you the item name, list name and file name for the alarm. If you push the Close button on the dialog, it will simply go away. If you push the Open button, the list will be opened (launching ListPro, if necessary) and the item will be selected.

Things to Keep in Mind

ListPro can keep track of the alarms in your ListPro files as long as it knows where they are. When you create a new ListPro file, it will be automatically enabled for alarms on your computer. If you move or rename your file, however, ListPro will no longer know where it is. For this reason, anytime you move or rename a ListPro file with alarms in it you must re-enable the file by selecting Preferences from the Tools menu and checking the Enable Alarms for This File on This Computer option.

You must also manually enable alarms for a ListPro file in the following cases:

  • You received a ListPro file via email.

  • You downloaded a ListPro file.

  • You created the ListPro file using ListPro on a Pocket PC or other mobile device and then File Synced it to your Windows PC computer. When you created the file on the mobile device it was automatically enabled on that computer, but you must manually enable it on your Windows PC computer.

  • You are using a ListPro file that is on a File Server on your LAN and it was created on a different computer. If the file on the File Server becomes inaccessible for a long period of time, you may have to re-enable it again. Also, when a ListPro file is shared on a LAN, alarms that were not set by you are not guaranteed to go off on your computer. Most alarms set at least a day in the future will go off, however.

Of course, you can also disable alarms for certain ListPro files if you do not want to receive alarms for them. For example, you may want to receive the alarms on your mobile device, but not on your Windows PC.

Alarm Tips

  • The Date column you use for alarms is not required to use the Manual Behavior. The AutoDate/Time Behavior would not be useful, but you might want to use Calculations. For example, if you have a list of meeting date/times you might want an alarm to go off a short time before the meeting rather than right when the meeting starts. You could accomplish this by having an additional date column called Meeting Time that holds the actual meeting time and a Number column called Warning Time that holds the amount of time before the meeting that you want the alarm to go off. You then set the Date column for alarms to be a calculation of Meeting Time minus Warning Time. The alarm will then go off a short time before the meeting. The Date column would not have to be showing in the list in this case. One complication is that Warning Time is interpreted as a number of days, so you would enter 0.01 for a 15 minute warning, 0.02 for a half hour warning, and so on.

  • You may have noticed that ListPro installs a program called ListProAlarms in your Startup menu. This program is required to be running in order for ListPro to display alarms. This program uses few resources, so it should not be noticeable even if you’re not using alarms. If you wish to remove this program from your Startup menu so it’s not always running, doing so will not effect the normal operation of ListPro, except that alarms will never go off.

  • Alarms are only accurate to about a minute, so they will not necessarily go off the moment your computer’s clock reaches the appointed time. They should go off within a minute of that time, however.


List Templates

When you create a new list, the Create New List dialog allows you to enter a list name and choose the type of list from a list of Templates. Each template is configured with appropriate columns, category values, settings and fonts for a certain type of list. The Basic Checklist template contains just Checkbox and Item columns. The names of the other templates describe the type of list they can be used to create.

The list of templates is a hierarchical list, so if you see a “+” in front of a name in the list, it is really a folder of templates and you can click on the “+” to open the folder and see the templates inside. Folders organize the templates into groups so you don’t have to scroll through a large list to find the template you want.

One of the best things about templates is that they are just ListPro lists, so you can add new ones and change the existing ones if you want to. The templates are stored in a file called “Templates.clf” in the directory in which you installed ListPro (C:\Program Files\Ilium Software\ListPro, by default). You can open this file with ListPro to add new templates and edit the current ones. Each folder in the Templates file shows up as a folder in the templates list, so you can rearrange the lists and folders in the Templates file to change how the templates appear when you create a new list.

Here are some things you can change about the templates to personalize your list-making:

  • If you prefer a different list font from the default used by ListPro, set the default list font in all the templates to your favorite font.

  • If you always want your new lists to start with a certain set of columns, change one of the lists (or add a new list) in the Templates.clf file to have those columns.

  • You can edit the Category Values list for a category column so the lists will always start out with those category values in the drop down list.

  • You can fill the template with an initial set of items and these items will always be present in the new lists when they are created. If you constantly have to go through the same checklist but want to keep your old checklists rather than resetting them, this would allow you to do that easily.

  • You can set up an initial sort order so items will show up in that order.

  • You can order the lists in the Templates file and put them in folders.

If you invent any particularly useful templates, we encourage you to send them to the ListPro List Exchange on our website so we can share them with other ListPro users. You can find the List Exchange at http://www.iliumsoft.com/lists.htm.


Working with Lists

You can use the picks on ListPro’s Edit, View, Items, and Tools menus to customize your lists’ appearance and functionality.

ListPro's View settings allow you to select just how you want to see your list.

List on Left puts the List Items pane on the left side and the List Hierarchy pane on the right.

Show Status Bar shows or hides the status bar on the bottom of your screen, which tells you how many items are on the list and how many have been checked and flagged. To control whether you want indented items included in the number of checked items, flagged items and total items that is displayed in the status bar, use the List Properties Window.

Show Notes Pane shows or hides the Notes Pane at the bottom of the screen. This pane shows the Notes field for the currently selected item. Note that the contents of the Notes field is always shown in this pane, even if it is not selected in the Columns tab of the List Properties window. You can also edit the Notes field directly in this pane.

Show Only Flagged Items builds a new view of the list containing only those items you've flagged on your list. This is useful for flagging certain items that you need, or that are ready to do, and then displaying only those you need to act on. When this option is in effect, the Flag column does not appear in the display.

Don't Show Checked Items will hide all items you've checked on your list. This gives you a clearer picture of which items are still left to be done. This option does leave the Checkbox column in the list display so you can continue to check items.

Sort By allows you to pick the column or columns to sort by. You can always pick Order Number, even if the order numbers aren’t showing, to put the list in its unsorted original order. If order numbers are showing, you can pick Item (or whatever name the Item field has, if it has been renamed) to sort alphabetically by the Item field. This is useful since clicking the Item column header when order numbers are showing will sort the list by order number. All column names will appear in the submenu even if the corresponding field isn’t currently being displayed in the list, allowing you to still sort by these fields. Picking any other column name to sort by that column is the same as clicking on the column’s header.

Note that when you sort a list, an item’s subitems will follow their parent item to its new position in the list. Therefore, it may look like items are out of order if you look only at the column you've sorted by. These items will be subitems of a correctly positioned item.

Filter opens the Filter dialog box. This dialog box allows you to filter your list items by Category, by Notes or by both. You can either select or type in a category string to match in the category field and you can enter a string to match in the Notes field. Only those items which match the entered Category or Notes string will be displayed in the list.

Note that when you filter a list, a parent item will be displayed if any of its subitems match the filter, even if the parent itself does not match. In addition, if a parent item matches the filter, all of its subitems will be displayed, regardless of whether they match the filter or not. Therefore, you may see items in a filtered list that do not themselves match the filter criteria. These items will be displayed in gray text.

Category Autofilter will automatically filter the list using the Category of the currently selected item. Only those items which have the same Category as the selected item will be displayed. Remember that Categories are not case-sensitive: Hardware is the same as HARDWARE or hardware.

Remove Sorting will remove any sorting that you've done by clicking any of the list's column headers. If the Show Item Number option is being used, the numbers will be in order when sorting is removed. Note that this function is only available if the Reorder After Sort option is off (See Sorting Your Lists ). Also, you must use this option before you can move (reposition) list items if your list was sorted.

Remove Filters will remove any filters that you applied using the Filters dialog box or the Category Autofilter menu pick.

The Items menu also contains these functions to help you use your list items.

Delete Checked Items will delete all the items in the list that currently have the Checkbox field checked. If you are using the list as a To Do list, this is an easy way to get rid of all the items you have checked as complete.

Check Selected Items will check the Checkbox field for all items that are currently selected.

The Tools menu provides these functions to help you customize and use your lists:

The Find on the Tools menu will open the Find dialog box, which allows you to enter a string to search for. When you enter a string and push the Find Next button, the next item which contains the search string in any field will be selected. (Except as described below, the item will be selected only once, even if it contains more than one copy of the search string.) The list will scroll to the selected item, if necessary. You can leave the Find window open while you do other things with the list, if you wish.

If the Notes Pane is currently being displayed, individual matches within the Notes field will be highlighted there. If not, the item with the note will be highlighted to show one match, even if the value you're searching for appears more than once in the note.

If you check the Search All Lists box, ListPro will search all lists in the file for a match, otherwise it will search only the currently open list.

If you choose Show Only Filtered Matches, only items that match a list's current filter will be found.

If you choose Remove Filters First, any matches found in items that are not currently being displayed will cause the current filter to be removed when the search begins. If no matches are found in a list, the filter will be replaced (left on).

When searching for a date, be sure to enter the date in the same format ListPro is displaying dates.

Display Total will show the total of the values in the Amounts field or any Number field you have added. You will be able to display subtotals by Units, Category or any Category field you have added. You can total all items, or only flagged or checked items.

Also, you can use Compact List File on the File menu to make your list file smaller, if you've deleted a lot of items or lists.

Fonts on the Edit menu allows you to change the fonts for each column in your list.

See also:

List Columns


List Columns

ListPro provides many options that you can use to have the information you need in your lists.

Column Customization

ListPro lets you select exactly what columns your lists contain, and the order in which they appear. Use the List Properties window to configure the columns in your list.

ListPro predefines the following columns for every list:

  • Checkbox

  • Item

  • Flag

  • Priority

  • Amount

  • Units

  • Category

  • Date

  • Notes

You cannot delete any of the above columns from your list, but you can choose to hide or display them at any time. Hide a column by unchecking its box in the List Properties window. Information in these columns will always be available for display (by re-showing the column) even if the column is hidden.

You can also add your own columns, and can delete the columns you add. Information in columns that you delete will be deleted; you cannot get it back. However, if you just choose to hide a column you created, its information will become available again when you re-display that column. For more information about adding columns, see Creating and Editing Columns .

The List Properties Window also allows you to rename and reorder the columns in your list.

You can sort your list by any column currently being displayed by tapping that column’s header. You can also use the Sort By pick on the View menu to sort your list by any column, whether or not it is currently being displayed.

You won't be able to edit columns that are Autodate or calculated columns. You'll only be able to edit Linked columns in item view, as in list view clicking on them activates them.

The following sections describe some special properties of some of ListPro’s columns.

Ordered Lists

ListPro's ordered lists let you list items in order. To turn on the order numbers, open the List Properties window and check Show Item Number on the Settings tab. This is very useful for tasks that need to be done in a certain order. You can use this feature for any "how-to" types of lists. Combine order numbers with Notes for detailed instructions, or use them to be sure you don't forget an important step.

Note that while you might not display the order number on your list, all items do have an associated number (position). You can reposition items in a list (with the Arrow Keys or Move Items Up/Down menu picks) when no temporary sorting is in effect. Use the Remove Sorting pick on the View menu to remove temporary sorting.

If you’d like to automatically reposition all items using the current temporary sort order, select Reorder List from the Tools menu. Once the list has been reordered, the order numbers, if showing, will be in order from top to bottom. You will not be able to return to the original order by picking Remove Sorting, but you will be able to reposition individual items again. See Sorting Your Lists for more information.

Categories

Categories let you classify your items. Once you’ve entered a value for a Category, that value is easily selectable whenever you want to put another item on that list into that Category.

You'll often want to sort the items in your list in various ways -- categories let you do this. For example, you might keep your office supplies in several different cabinets in your office. You want the supplies on your list sorted by these locations, so that you can efficiently flag what you need. But then when you go to the office supply store, you'd like your list in the order you find the items in the store. Use Categories for one of these, and the original order for the other.

Other uses for categories include: types of music in a CD collection list, kind of restaurant in a restaurant list, day vs. overnight vs. overseas for a trip packing list, etc.

Sorting by categories lets you group items in very useful ways. Categories are saved per list, so each list can have the categories that will be most appropriate for that list.

When editing a Category field, a combo box provides a drop down list of all the current Category Values. You can either type a category in directly or choose an item from the list. When typing in a value, ListPro will search the list for a match after you’ve typed in two or more characters. The first match will automatically be entered into the field you’re typing into. If the match ListPro finds isn’t what you want, just keep typing. ListPro will keep looking for matches until you’ve typed enough to identify the right one. Or, if you don’t want any of the matches ListPro finds, just type in the entire category name. If ListPro puts anything extra in the field that you don’t want, press the Delete key to get rid of the excess.

Remember that Categories are not case-sensitive: Hardware is the same as HARDWARE or hardware.

Note that Categories do not have to be just one word. For example, if you have a list of items you need to pick up, and are using Category for where to get them, you might be able to get batteries at either a drugstore or a hardware store. You could make an additional Category column, or just put “drugs,hardware” in your main Category column. Then, if you Filter your list by either drugs or hardware, batteries will appear. Another option would be to instead add your own Category columns, and have separate columns for the different categories.

By default all new values entered for a Category are added to the list of Category Values for that Category. You can also edit each Category’s list of values if you want to add new values or delete values you don’t need. To do this, select Category Values from the Tools menu and you’ll see the Category Values window. Choose the Category whose list you want to edit from the Category drop down list. To add a new Category Value, enter the value into the New Value field and push the Add Value button. To delete an existing value, select the value in the list and push the Delete Value button.

Notes

ListPro's Notes let you add additional information to a list item. Use Notes for long instructions, or for details about an item. For example, on an office supply list, the note for a printer cartridge might contain the model number of the printer.

Remember that you can see and edit the Note for any item even if you don't have Notes displayed in the list, using either ListPro’s Notes Pane (select Show Notes Pane from the View menu), or the Item View window (just double-click the item).

Amounts and Units

ListPro's Amounts feature gives you a powerful numeric field. You can use Amounts to include any numeric information on items when you're setting up a list. The Amounts field lets you add up its information. Use Amounts for anything you might want to count: boxes you're shipping, dollars you're spending, bottles you're unpacking, ounces, cups, hours, minutes. At any time, you can display a total of the amounts you've entered. In addition, the sum of the amounts of all items currently being displayed is shown in the Status Bar.

To make it more useful, you can set up your list to ask for the amounts when you're "running" your list (checking items or flagging items for inclusion in a Shopping or Two-Step List ). For example, you can set up your list to ask you for an amount each time you check an item. This lets you easily track your spending while you're shopping, or time spent on each task of a project. Alternatively, you can set up your list to ask you for an amount each time you flag an item to be included on your Shopping (Two-Step) List. This lets you enter a quantity of items to be included on the final list. For example, when you flag "stamps", you're asked how many. Then, when you choose the Flag Tool to display your list, the number of stamps you need appears.

The Units field lets you total amounts by unit. This is useful if your amounts are in different units. For example, if you're using Amounts to track time on a project, you might sometimes enter minutes, and sometimes hours. If you use Units, your totals will make sense. Remember that you don't have to use the units to use Amounts.

Priorities

The Priority field lets you assign a priority number to each item. Priorities have an advantage over order numbers because several items can have the same priority number. You can sort the list by Priority to look at them in order of their importance.

User Defined Fields

In addition to the default fields that you get with every list, ListPro allows you to add your own fields. You can add a field using the Columns tab of the List Properties window. Just press the Add button to see the Add Column window. On the Add Column window, enter a name for the new field and select the new field’s type. You can choose any of the following field types:

  • String – a String field simply holds a string of text, allowing you to enter just about anything into it. Strings are limited to 255 characters.

  • Category – a Category field is like the default Category field. You can enter any text into it. ListPro will maintain a list of all the values currently used in the field. When editing the field you can drop down the list of current values and choose one of the listed values rather than typing in the text. You can also use any category field to get subtotals when using the Totals dialog box. Remember that Categories are not case-sensitive.

  • Yes/No – a Yes/No field is like ListPro’s Flag or Checkbox fields except that you can choose one of several icons to be displayed in the field. Push the Properties button to see a dialog that will allow you to pick the icon to display. Each icon has a set (yes) and unset (no) appearance and you toggle between them by clicking on the column in the list. You can configure your list to clear user-defined flag columns when the list is reset .

  • 3 State – a 3 State field is similar to a Yes/No field, but it has three states instead of two (they could also be called Yes/No/Maybe fields). You can select the icons for 3 State fields just like Yes/No fields. Clicking on the column in the list cycles between the three states.

  • Number – a Number field must contain a number. You can use the Totals dialog to find the total and subtotals for any Number field. Numbers can also be simple calculations.

  • Date – a Date field holds a date, such as the starting date or due date of a task. Note that dates appear in the format set by your regional settings.

  • Linked – a Linked fields holds the name of a file or a URL. The file name can be either a full path or a partial path beginning from the directory where the current ListPro file is stored. A URL must always have the proper prefix (http://, ftp:// or file://) in order to be recognized as a URL. Clicking on the Linked column in the list will cause the URL or file to be launched. For example, clicking on a Linked field containing http://www.iliumsoft.com will cause your browser to open and show the Ilium Software web site. Clicking on a Linked field containing “Readme.txt” will open the file ReadMe.txt in the same directory as the ListPro list file.

See Creating and Editing Columns for more information about working with Column properties.


Two-Step (Shopping) Lists

ListPro allows you to create and use lists in two steps. First, choose some of the items in your list and flag them. Then, select the Flag Tool (or Show Only Flagged Items View setting) to display only those items that have been flagged. You can treat this newly built list just like any list and check items as you complete them. When you've completed all the items and you reset the list, all the checks and flags are cleared from any items which have been checked. By default, Flagged items which have not been checked will not be cleared, although you can also configure the list to clear all the flags or none of the flags.

The best example of a two-step list is a shopping list. When you first create the shopping list, you enter into the list any of the items you might buy when you do a particular kind of shopping (for example, office supplies, or groceries). Whenever you think of something you need on that list, you flag that item. Then, when you go to the store, you select the Flag tool, and the list you see will contain only those items that you've flagged! You then have a shopping list of just those things you've decided earlier that you need. As you shop, you check each item, and, when you're done, you reset the list. This clears both the checks and the flags so you can again start flagging items to buy as you think of them.

Use Two-Step lists any time you only want to do (or pick up, or include) only some of the things on your list. For example, you could make a list of all the places you might need to stop on the way home. As you realize another stop you need, you can flag that item in your list. Then, when you're leaving work, you can easily show just the stops you need to make that day.

Keep in mind that you can add the Flag Item column to an existing list at any time, or remove the column from a list, using List Properties . Also remember that all list items must be displayed (and no sorting in effect) before you can move (reposition) any list items.

You can also use the flag column as the second (rather than first) step of a list, by flagging items for inclusion in another list when you check them. For example, if you create a list of people you've invited to a party or conference, you can check their names as they respond to your invitation. Rather than duplicating the list when you need to see who will be attending, you could use the Flag Item column to designate people who will be there. Then, not only can you easily see who has not yet responded to your invitation (with the checks), you can also easily see a list of who will be there with the Flag Tool.

Combine Two-Step Lists with other ListPro list features and program features to create powerful lists that really make your life simpler!


Changing Fonts

Choose the Fonts pick from the Edit menu to change the fonts on any of your lists. You can select fonts for each column on each list.

For each list, you can select a default list font. For each column, you may choose to use the default list font or select a custom font. When you change the default list font, all columns that do not have a custom font selected will display the new default list font. In addition, the column header names and the Notes Pane will be displayed using the default list font.

Select Default List Font from the Field Name list to change the default list font. With this item selected, choose either Default System Font or Custom Font. With Custom Font selected, you can use the Change pushbutton to choose a custom font for the list.

Select any field from the Field Name list to change the font for that field. With a field selected, choose either Default List Font or Custom Font. With Custom Font selected, you can use the Change pushbutton to choose a custom font for the field. If you choose Default List Font, that field will use the font you've selected for the list.


Using the Keyboard

Many of ListPro’s functions are accessible from the keyboard. In addition to the regular menu accelerators, the following keyboard usage is recognized:

  • The tab key may be used to tab between the List Hierarchy pane, the List Items pane and the Notes pane (if it is showing).

  • If direct editing is being used in the List Items pane, the tab key may be used to tab from one field to the next. If the tab key is used when direct editing the last field of the last item in the list, a new blank item will be added and the first field in the list will be opened for direct editing.

  • The Space Bar may be use to start direct editing on the currently selected item.

  • The up and down arrow keys may be used as with any list to move the current selection up or down in the list. If the control key is down when an arrow key is used, the focus item will move up or down, but the selection will not change. The space bar may subsequently be used to select or deselect the focus item. If the shift key is down when an arrow key is used, the item the focus is moved to will be selected in addition to the currently selected items. The Page Up, Page Down, Home and End keys also function as usual for a list.

  • The left or right arrow keys may be used to select an individual column of the current focus item in the list. The focus rectangle will change to surround only the focus column rather than the entire item. If you press the space bar when an individual column has the focus, that field will be opened for direct editing, unless it is a check or flag field. If it is a check or flag field, the field will be toggled.

  • If the current focus item has indented items under it, the plus (+) and minus (-) keys may be used to expand or collapse the item’s indented subitems.

  • The Enter key (as well as Alt-Enter) may be used to open the Edit List Item window for the current focus item.

  • The ‘X’ key may be used to toggle the Flag field of the focus item.

  • The ‘C’ key may be used to toggle the Checkbox field of the focus item.

  • Using the Keyboard section should say that you can use <ctrl>; to quickly add the current date and time to any note (in the Notes pane only).


Tips for Using ListPro

Use ListPro for any kind of list: instructions, tasks, shopping. It's especially useful for steps in a process you do frequently, but that doesn't recur at regular intervals, for example, releasing a new product. Special features for shopping lists create another very useful way to use ListPro. Ordered lists combined with Notes give you a way to record detailed instructions. Resetting your list lets you easily use lists over and over. Categories and Notes let you group items in many ways.

Use ListPro as a powerful, multi-level Notes organizer. Use list items as your note titles, and put your notes into the Notes field for each item. Then organize the notes into lists, folder and list files, just the way you want them.

Use ListPro as an outliner by turning on the Show Item Number option (in List Properties).

You can easily move lists between files using the Clipboard. Just select a list in one file, copy it, and paste it into another file. You can have ListPro running more than once to make this even easier. You can also use the clipboard to move items between lists. See Using the Clipboard .

You can sort the items in your lists by any column, just by clicking the column header.

Use the Notes Pane to see and edit longer notes, or add information to items. You don’t need to have the Note column selected for display in the list – the Notes pane will show this information for the selected list item.

To quickly enter information into lists, select only the columns you’ll be entering the information for to be displayed. You can always choose to show other columns later, but they’ll be out of the way for information entry.

To easily copy or paste just the information you want, hide some columns using the List Properties window, use your clipboard, then show the columns again. If you first move all columns that you want displayed before the ones that are turned off, it’s even easier to turn them back on. See Using the Clipboard for more information.

Use the user-defined Yes/No fields to make your to-do list into a useful table. For example, if you need to do a multi-step cleanup on several different computers, you can make each step a list item and each computer a flag column. Then you can easily mark each step as it’s complete for each machine. This is also useful for releasing several products, testing on several platforms, etc.

Note that Categories do not have to be just one word. For example, if you have a list of items you need to pick up, and are using Category for where to get them, you might be able to get batteries at either a drugstore or a hardware store. You could make an additional Category column, or just put drugs,hardware in your main Category column. Then, if you Filter your list by either drugs or hardware, batteries will appear. You can also add your own Category columns, and have separate columns for the different categories instead.

Make your lists more readable by changing the fonts in each column. Choose Don't Show Checked Items to hide items you've checked, if you only want to see what you still need to do.

Check Ilium Software’s website for new sample and useful lists.

A simple way to make it easy to tell which items in a list have been completed is to set a different color for checked items. Open the List Properties window and go to the Color tab. Press the Change button next to “Color for Checked Items” and choose a new color. Setting checked items to a gray color is a good choice because it makes the completed items look like disabled choices.

Use the Make Backup pick from the File menu to easily make a backup of the current ListPro file. It’s a good idea to do this regularly, especially if you’re using File Synchronization to synchronize with a mobile device. You never know when you might want to retrieve something you deleted accidentally.

To start ListPro with a specific List open double-click on the List file in Windows Explorer.

New lists that you create can have the columns, fonts and settings you'd like -- just make the appropriate changes to the lists in the Templates file.

Highlight your most important items in Item View or by right-clicking on a list item.

You can directly manipulate lists simply by dragging items, column headers and list names.

See Using the Keyboard for helpful information on keyboard shortcuts.


Information Exchange

You can export your list file information to a text file to use with other programs with the Export pick. This will copy information in the currently selected list to the file you specify. You can also import list items into an existing list with the Import pick.

Use the clipboard to easily:

  • move or copy items from one list to another,

  • move or copy lists from one file to another

  • move or copy lists within a file

You can copy one item, several items or an entire list to the clipboard. Make sure the list you are pasting into has the same set of columns as the list you copied from. You can also paste ListPro list information into a text file or an Excel worksheet. Text information from another source can be pasted into ListPro in the same tab-delimited format used for exporting and importing. See Importing and Exporting Lists for more information.

If you have a Handheld PC and/or Pocket PC with a copy of ListPro installed, you can read any list file with either ListPro version. You could, for example, enter information using your Windows PC version of ListPro, then copy your list file to your Pocket PC for easy access to your lists anywhere.

Please note that while you can use File Synchronization with ActiveSync 3.5 (or later versions) to automatically copy the most current version of your file between platforms, ListPro does not support individual record synchronization. That is, you cannot update one item or list in a file on your Windows PC and another on your Handheld and have both changes take effect. Only whole files are synchronized. Be sure to close ListPro on both platforms before synchronizing files. See File Synchronization for more information.


Using the Clipboard

You can easily use your system’s Clipboard with ListPro to:

  • move or copy items from one list to another,

  • move or copy lists from one file to another

  • move or copy lists within a file

  • paste items from other programs into your ListPro lists

To copy a list, simply select the list name, and copy it to the clipboard. You can then paste it elsewhere within the same list file, or into another list file. You can also move the list directly by dragging it with your mouse if you want to put it into another folder or another position in your current list file.

You can copy selected items to your clipboard, for pasting into the same list or into another list, or for pasting into another program.

Copying from List to List

When copying and pasting from one ListPro list to another, ListPro uses the following rules to determine which columns from the first list to copy into columns of the second list:

  • If both lists have columns of the same type and are in the same order, all information for all columns will be transferred, including information in fields not showing.

  • If that is not the case, ListPro compares the columns that are currently being displayed in each list. Starting from the left, data in all columns is transferred as long as the columns have the same type. If a column is found that is not the same type, data in that column and all columns to the right of it are not transferred.

  • Indent Level and Highlight color are always transferred to the new list. Indent Level may be adjusted based on the position the item is pasted into the new list, but the items pasted will retain their Indent Levels relative to each other.

  • The Notes field is always transferred, regardless of whether it is showing or not.

Copying From a List to Another Program

If you are transferring items to another program, only the fields currently selected for display in a list will be copied. The currently displayed fields will be copied to the clipboard in the order they are currently being displayed in the list. You can control which fields are copied and pasted and the order they appear using the Columns tab of the List Properties window. Indent level and Highlight color are never transferred.

Checkbox, Flag and Yes/No fields are copied to the clipboard as 1s if selected (checked or flagged) and 0s if not selected. Three State fields are copied with a value of 0, 1 or 2.

Copying Tips

Note that Columns selected for display (in the List Properties window) are usually the same as those currently being displayed in the list area. However, if the Flag column is selected for display, but you have the Show Only Flagged Items option selected, the Flag field will also be copied/pasted as if it is showing.

If you want to easily copy or paste fewer columns than are currently being displayed, just hide those columns using the List Properties window, use your clipboard, then show the columns again. If you first move all columns that you want displayed before the ones that are turned off, it’s even easier to turn the ones you want back on.

Pasting Into a List From Another Program

Pasting items into a list follows the same rules as copying them from a list: data is only pasted into the columns that are showing. However, if you have copied a set of single-line text strings containing no tab characters, you can paste them into an open list, and the information will be pasted into the Item field.

Checkbox, Flag and Yes/No fields may be skipped when pasting in the text. If the data in the position for one of these columns is not a 1 or a 0, the column will be skipped and the data will be pasted into the next non-flag column.


Importing and Exporting Lists

You can use ListPro's import capability to make lists out of data you currently have in other forms. You can also export your lists to text files for use with other programs.

When you choose Export to File from the Tools menu, ListPro displays the Choose Columns to Export dialog. This dialog allows you to choose which columns to export. Any of the currently displayed columns may be chosen, as well as the Notes field and the Indent Level. You may also choose the order the columns should appear in the file, and you may optionally export the column names in the first row of the file.

When you choose Import from File from the Tools menu, ListPro displays the Choose Columns to Import dialog. This dialog allows you to choose which columns to import the data into. Any of the currently displayed columns may be chosen, as well as the Notes field and the Indent Level. You may also choose the order the columns will be found in the file, and you may optionally skip the first row of the file if it contains column names.

List items are imported and exported in tab-delimited or comma-separated-value form. Tab-delimited files use the extension .TXT and comma-separated-value files use the extension .CSV. Each field you want to import must be separated from the previous field by one tab character in .TXT files or by a comma in .CSV files. If the field contains a new line (that is, a carriage-return/line-feed or hard line break) or a comma, the field must be enclosed in quote ( “ ) characters. If a quote character appears in a field, it must be replaced by two quote characters and the entire field must be enclosed in quotes.

Note that Columns selected for display (in the List Properties window) are usually the same as those currently being displayed in the list area. However, if the Flag column is selected for display, but you have the Show Only Flagged Items option selected, the Flag field may also be imported and exported.

Item order for export will be set by the order of the items in the list. Only the items currently being displayed will be exported. Any items not currently displayed (due to being Flagged, Checked or Filtered out) will not be exported.

If you need assistance on setting up information to be imported into a list, first create a very small (two- or three-item) version of the list you want, and export it to a file. Then edit the file using a text processing or spreadsheet application, and import it back into ListPro. When you can get the right information to import into the right columns, you have found the right format. This will help you create the import format correctly.

Checkbox, Flag and Yes/No fields are exported as 1s if selected (checked or flagged) and 0s if not selected. Three State fields are exported as 0, 1 or 2.

You can import items from a file that was created by exporting from an older version of ListPro by following the steps below. However, please note that ListPro will automatically convert your older list files for you, so you probably don’t need to import their information.

To import lists from files created by version 2.0.x of ListPro, use the Choose Columns to Import dialog to arrange the columns in the order they appear in the file. The Indent Level will always be first, and the others will be in the order they appeared in the list.

To import lists from files created by versions of ListPro older than 2.0, use the Choose Columns to Import dialog to arrange the columns in the following order:

  1. Amount

  2. Units

  3. Item

  4. Category

  5. Notes

If you want to, you can use import and export to move information from one ListPro column to another. For example, if you want to move the information from the Notes column of a list to a new column you’ve called Info, you could export all columns of the list (including Indent Level and Notes) to a file. Then make a new list with the Info column, and import all columns except Notes, with Info in the position Notes had been in. This will move your information from the Notes to the Info column.


File Synchronization

If you have Windows CE 2.0 or later, you can use File Synchronization to keep the list files on your PC in sync with the list files on your Handheld or Pocket PC. We recommend you install the latest version of Microsoft ActiveSync.

To set up your Windows PC and mobile device for synchronization, follow these steps:

  • Enable File Synchronization. You can do this in the ActiveSync window by selecting Options from the Tools menu. Check the box for File Synchronization and click OK.

  • Use the Synchronization Wizard to change synchronization settings for your open ListPro file and store your ListPro file in the ‘Synchronized Files’ Folder on your Windows PC. To use the Synchronization Wizard, choose Synchronization from the File menu and let the wizard lead you through the process. To change settings for another ListPro file, first open the file and then use the Synchronization Wizard. When creating new ListPro files, choose New from the File menu and let the New File Wizard help you set up the new file for File Synchronization.

  • Store your list files in the ‘Synchronized Files’ folder on your mobile device. If you have a Pocket PC, you don’t need to do anything special because your list files are always stored in the My Documents folder, which is always synchronized (files stored on flash memory cards will not be synchronized, however). If you have a Handheld PC, the Synchronized Files folder is a subfolder within the My Documents folder (if you have a non-English HPC, the My Documents folder will have a name appropriate for your language). Move any existing list files on your HPC to the Synchronized Files folder and create new ones there.

Once you have this set up, your list files will be synchronized whenever you synchronize the rest of your data. If ListPro is running when you synchronize, you may get a message that the list file is in use. If this happens, close ListPro and synchronize again. Be sure to close ListPro on both your mobile device and Windows PC before synchronizing.

If you have more than one mobile device, you’ll probably have more than one Synchronized Files folder on your Windows PC. The combo box at the bottom of the Open dialog box lets you to choose which one to use.

If you don’t want a Windows PC ListPro file synchronized with your mobile device any longer, simply move the file out of the ‘Synchronized Files’ folder on your Windows PC. You can find out where this folder is by opening the ActiveSync Options dialog, selecting File Synchronization and clicking the Options or Settings button.


Printing

You can print your lists using ListPro’s Print pick. The list that is currently selected will be printed. If a folder is selected, all lists in that folder will be printed. If you have selected the root item at the top of the list tree, all lists in the file will be printed.

If you’re printing just one list, print the entire list using the Print All option on the Print window. Select one or more items in the list and use the Print Selection option to print only specified items in the list.

Check the box labeled Always Print Notes Field to force the Notes field to be printed, even if it is not selected in the List Properties dialog box. If you check the box labeled Print Notes Field Below Item, the Notes field will be printed in its entirety (word wrapped onto several lines if necessary) on one or more lines below the rest of the item’s fields.


How to Purchase ListPro

ListPro is currently available for Windows PCs and for Handheld PCs and Pocket PCs. Site licenses, and discounts for current users on one platform are available.

You can purchase ListPro directly from Ilium Software, as well as from many major software distributors or resellers.

To purchase ListPro from Ilium Software:

Web: | Use our secure web server at www.iliumsoft.com
Call: | (888) 632-5388 (toll free) or +1 (734) 973-9388
Email: | orders@iliumsoft.com
Fax: | +1 (734) 973-2640
Mail to: | Ilium Software 3759 Prospect Rd Ann Arbor, MI 48105 USA


ListPro 30 Day Trial

Ilium Software makes available a 30 Day Trial version of ListPro that you may download from our web site. You can tell if you’re using a Trial version of ListPro by opening the About ListPro window. If you see a Register button, you are using an unregistered 30 Day Trial. Otherwise, you have an unrestricted, registered version of ListPro.

If you’ve downloaded the Trial Version of ListPro, you may evaluate it free of charge for 30 days. After that period, the application will stop functioning until you register it. When you purchase a ListPro license, Ilium Software will send you a new version of the program which will have no time restriction. All of your information will transfer automatically to the new version.

ListPro is currently available for Windows PCs and for Handheld PCs and Pocket PCs. Site licenses, and discounts for current users on one platform are available.

You can purchase ListPro directly from Ilium Software, as well as from many major software distributors or resellers.

To purchase ListPro from Ilium Software:

Web: | Use our secure web server at www.iliumsoft.com
Call: | (888) 632-5388 (toll free) or +1 (734) 973-9388
Email: | orders@iliumsoft.com
Fax: | +1 (734) 973-2640
Mail to: | Ilium Software 3759 Prospect Rd Ann Arbor, MI 48105 USA


How to Contact Ilium Software

Information

To find out about Ilium Software and the products we sell, visit our web site at www.iliumsoft.com. If you have a question, send us an email at info@iliumsoft.com or mail, fax or phone in your question at the address or number given below.

Support

For Technical or Customer Support, send us email at support@iliumsoft.com or mail, fax or phone us at the address or number given below.

Sales

To purchase any of our products, use our secure web site order form at www.iliumsoft.com, send order information to orders@iliumsoft.com or mail, fax or phone us your order at the address or number given below.

Contact Information:

Web: | Use our secure web server at www.iliumsoft.com
Call: | (888) 632-5388 (toll free) or +1 (734) 973-9388
Email: | orders@iliumsoft.com
Fax: | +1 (734) 973-2640
Mail to: | Ilium Software 3759 Prospect Rd Ann Arbor, MI 48105 USA